Lists
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{series_id}/lists?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/lists?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{series_id}/lists?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 4614,
"page": 1,
"results": [
{
"description": "paramount Top 10 TV Shows - Updated 2024-12-18T09:01:31.823-05:00",
"favorite_count": 0,
"id": 8303423,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 10,
"name": "Top 10 TV Shows - Paramount+",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501510,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 8,
"name": "watch ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 134725,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 998,
"name": "Watched Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501234,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 12,
"name": "New Shows (Since 2020)",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 6608629,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4034,
"name": "Emmy Award Nominated Titles - IMDb",
"poster_path": null
},
{
"description": "Movies and TV shows I physically own.",
"favorite_count": 0,
"id": 23932,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1039,
"name": "My DVD/BD Collection",
"poster_path": null
},
{
"description": "TV SERIES BALISTAR LIST\r\nJl. Sahadewa No.13C, Legian, Kec kuta, Kabupaten Badung, Bali. “In front of The Local Restaurant”",
"favorite_count": 0,
"id": 8226356,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2309,
"name": "TV SERIES 2024 UPDATE",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8231754,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 248,
"name": "TV Series",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7102892,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1261,
"name": "Promote Black Filmmakers®™ Playlist",
"poster_path": null
},
{
"description": "tv",
"favorite_count": 0,
"id": 8281520,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 88,
"name": "Sonarr",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 146589,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3773,
"name": "RecentMovieShow",
"poster_path": null
},
{
"description": "Serie ",
"favorite_count": 0,
"id": 144184,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 639,
"name": "Serie1",
"poster_path": null
},
{
"description": "W L",
"favorite_count": 0,
"id": 8222038,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1807,
"name": "R-C |•| P-M/S",
"poster_path": null
},
{
"description": "Six television series make up the NCIS franchise: NCIS, Los Angeles, New Orleans, Hawaiʻi, Sydney, and Origins.",
"favorite_count": 0,
"id": 8454723,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 6,
"name": "The NCISverse",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7074347,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 67,
"name": "TV SERIES TMDB",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8237878,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 395,
"name": "NewTV",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8312044,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 54,
"name": "Iconic",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 895,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 95,
"name": "Drama",
"poster_path": "/l1DYmEw99vBGcAjwQLh0WruAUhW.jpg"
},
{
"description": "",
"favorite_count": 0,
"id": 8310018,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "My Favs",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8308052,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 38,
"name": "Action",
"poster_path": null
}
],
"total_pages": 23,
"total_results": 442
}TV Series
Lists
This endpoint is used to get the lists that a TV series has been added to.
GET
/
3
/
tv
/
{series_id}
/
lists
Lists
Authorizations
Path Parameters
integer
Example:
"4614"
Response
200 - application/json
OK
Example:
4614
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"description": "paramount Top 10 TV Shows - Updated 2024-12-18T09:01:31.823-05:00",
"favorite_count": 0,
"id": 8303423,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 10,
"name": "Top 10 TV Shows - Paramount+",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501510,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 8,
"name": "watch ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 134725,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 998,
"name": "Watched Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501234,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 12,
"name": "New Shows (Since 2020)",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 6608629,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4034,
"name": "Emmy Award Nominated Titles - IMDb",
"poster_path": null
},
{
"description": "Movies and TV shows I physically own.",
"favorite_count": 0,
"id": 23932,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1039,
"name": "My DVD/BD Collection",
"poster_path": null
},
{
"description": "TV SERIES BALISTAR LIST\r\nJl. Sahadewa No.13C, Legian, Kec kuta, Kabupaten Badung, Bali. “In front of The Local Restaurant”",
"favorite_count": 0,
"id": 8226356,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2309,
"name": "TV SERIES 2024 UPDATE",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8231754,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 248,
"name": "TV Series",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7102892,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1261,
"name": "Promote Black Filmmakers®™ Playlist",
"poster_path": null
},
{
"description": "tv",
"favorite_count": 0,
"id": 8281520,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 88,
"name": "Sonarr",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 146589,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3773,
"name": "RecentMovieShow",
"poster_path": null
},
{
"description": "Serie ",
"favorite_count": 0,
"id": 144184,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 639,
"name": "Serie1",
"poster_path": null
},
{
"description": "W L",
"favorite_count": 0,
"id": 8222038,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1807,
"name": "R-C |•| P-M/S",
"poster_path": null
},
{
"description": "Six television series make up the NCIS franchise: NCIS, Los Angeles, New Orleans, Hawaiʻi, Sydney, and Origins.",
"favorite_count": 0,
"id": 8454723,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 6,
"name": "The NCISverse",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7074347,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 67,
"name": "TV SERIES TMDB",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8237878,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 395,
"name": "NewTV",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8312044,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 54,
"name": "Iconic",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 895,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 95,
"name": "Drama",
"poster_path": "/l1DYmEw99vBGcAjwQLh0WruAUhW.jpg"
},
{
"description": "",
"favorite_count": 0,
"id": 8310018,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "My Favs",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8308052,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 38,
"name": "Action",
"poster_path": null
}
]
Example:
23
Example:
442
Was this page helpful?
⌘I